# -*- coding: utf-8 -*-

import numpy, matplotlib.pyplot


# Définition de la fonction

def fonction (x) :
    return 3.56995*x*(1-x)


# Construction et affichage d'un histogramme
# ListeValeurs : liste des réels dont on affiche l'histogramme
# X_Min, X_Max : abscisses extrémales de l'histogramme
# Classes : nombre de classes de l'histogramme
# Sortie : affichage de l'histogramme normalisé des valeurs de la liste entre X_Min et X_Max

def suite_histogramme (ListeValeurs, X_Min, X_Max, Classes) :
    matplotlib.pyplot.clf()
    matplotlib.pyplot.hist(ListeValeurs, bins=Classes, range=[X_Min, X_Max], density=True)
    matplotlib.pyplot.show()


# Construction de la liste des 1000001 premières valeurs de la suite
# Ne pas hésiter à calculer beaucoup de valeurs et à expérimenter avec le nombre de classes !

Iteration = 10**6
x = numpy.random.uniform(0, 1)
ListeValeurs = []

for n in range(Iteration+1) :
    ListeValeurs.append(x)
    x = Fonction(x)


# Affichage de l'histogramme, avec 1000001 valeurs et 1000 classes.

suite_histogramme(ListeValeurs, 0, 1, 1000)
